<?xml version="1.0"?>
<doc>
    <assembly>
        <name>PaddleOCRSharp</name>
    </assembly>
    <members>
        <member name="T:PaddleOCRSharp.EngineBase">
            <summary>
            Base class for engine objects
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.EngineBase.PaddleOCRdllPath">
            <summary>
            Custom loading path for PaddleOCR.dll, default is empty. If specified, it needs to be assigned before engine instantiation.
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.EngineBase.#ctor">
            <summary>
            Initialization
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.EngineBase.GetDllDirectory">
            <summary>
            Get the current path of the program
            </summary>
            <returns></returns>
        </member>
        <member name="M:PaddleOCRSharp.EngineBase.GetRootDirectory">
            <summary>
            Get the current path of the program
            </summary>
            <returns></returns>
        </member>
        <member name="M:PaddleOCRSharp.EngineBase.ImageToBytes(System.Drawing.Image)">
            <summary>
            Convert Image to Byte[]
            </summary>
            <param name="image"></param>
            <returns></returns>
        </member>
        <member name="M:PaddleOCRSharp.EngineBase.Dispose">
            <summary>
            Release memory
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.EngineBase.GetLastError">
            <summary>
            Get underlying error information
            </summary>
            <returns></returns>
        </member>
        <member name="T:PaddleOCRSharp.JsonHelper">
            <summary>
            Json helper class
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.JsonHelper.DeserializeObject``1(System.String)">
            <summary>
            Json deserialization
            </summary>
            <typeparam name="T"></typeparam>
            <param name="json"></param>
            <returns></returns>
        </member>
        <member name="T:PaddleOCRSharp.OCRModelConfig">
            <summary>
            Model configuration object
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRModelConfig.det_infer">
            <summary>
            det_infer model path
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRModelConfig.cls_infer">
            <summary>
            cls_infer model path
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRModelConfig.rec_infer">
            <summary>
            rec_infer model path
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRModelConfig.keys">
            <summary>
            Full path of ppocr_keys.txt file
            </summary>
        </member>
        <member name="T:PaddleOCRSharp.StructureModelConfig">
            <summary>
            Table model configuration object
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.StructureModelConfig.table_model_dir">
            <summary>
            table_model_dir model path
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.StructureModelConfig.table_char_dict_path">
            <summary>
            Table recognition dictionary
            </summary>
        </member>
        <member name="T:PaddleOCRSharp.OCRParameter">
            <summary>
            OCR recognition parameters
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.use_gpu">
            <summary>
            Whether to use GPU; default false
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.gpu_id">
            <summary>
            GPU id, effective when using GPU; default 0
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.gpu_mem">
            <summary>
            Requested GPU memory; default 4000
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.cpu_math_library_num_threads">
            <summary>
            Number of threads for CPU prediction. When the machine has sufficient cores, the higher this value, the faster the prediction; default 10
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.enable_mkldnn">
            <summary>
            Whether to use mkldnn library; default true
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.det">
             <summary>
            Whether to perform text detection; default true 
             </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.rec">
            <summary>
            Whether to perform text recognition; default true
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.cls">
            <summary>
            Whether to perform text orientation classification; default false
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.max_side_len">
            <summary>
            When the input image length and width are greater than 960, the image is scaled proportionally so that the longest side is 960; default 960
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.det_db_thresh">
            <summary>
            Used to filter the binary image predicted by DB. Setting to 0.-0.3 has no significant effect on results; default 0.3
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.det_db_box_thresh">
            <summary>
            DB post-processing threshold for filtering boxes. If detection has missing boxes, this can be reduced accordingly; default 0.5
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.det_db_unclip_ratio">
            <summary>
            Represents the tightness of the text box. Smaller values mean the text box is closer to the text; default 1.6
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.use_dilation">
            <summary>
            Whether to use dilation on the output map, default false
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.det_db_score_mode">
            <summary>
            true: use polygon box to calculate bbox; false: use rectangle box. Rectangle calculation is faster, polygon boxes are more accurate for curved text areas.
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.visualize">
            <summary>
            Whether to visualize the results. If true, the prediction results will be saved as an ocr_vis.png file in the current directory. Default false
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.use_angle_cls">
            <summary>
            Whether to use direction classifier, default false
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.cls_thresh">
            <summary>
            Score threshold for direction classifier, default 0.9
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.cls_batch_num">
            <summary>
            Direction classifier batchsize, default 1
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.rec_batch_num">
            <summary>
            Recognition model batchsize, default 6
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.rec_img_h">
            <summary>
            Recognition model input image height, default 48
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.rec_img_w">
            <summary>
            Recognition model input image width, default 320
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.show_img_vis">
            <summary>
            Whether to display prediction results, default false
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRParameter.use_tensorrt">
            <summary>
            When using GPU prediction, whether to enable tensorrt, default false
            </summary>
        </member>
        <member name="T:PaddleOCRSharp.ModifyParameter">
            <summary>
            OCR modifiable parameters
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.ModifyParameter.m_det">
             <summary>
            Dynamically modify whether to detect. When OCRParameter.det=true, m_det can dynamically turn off the det parameter
             </summary>
        </member>
        <member name="P:PaddleOCRSharp.ModifyParameter.m_rec">
             <summary>
            Dynamically modify whether to recognize. When OCRParameter.rec=true, m_rec can dynamically turn off the rec parameter
             </summary>
        </member>
        <member name="P:PaddleOCRSharp.ModifyParameter.m_max_side_len">
            <summary>
            When the input image length and width are greater than 960, the image is scaled proportionally so that the longest side is 960; default 960
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.ModifyParameter.m_det_db_thresh">
            <summary>
            Used to filter the binary image predicted by DB. Setting to 0.-0.3 has no significant effect on results; default 0.3. Effective when m_det=true
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.ModifyParameter.m_det_db_box_thresh">
            <summary>
            DB post-processing threshold for filtering boxes. If detection has missing boxes, this can be reduced accordingly; default 0.5. Effective when m_det=true
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.ModifyParameter.m_det_db_unclip_ratio">
            <summary>
            Represents the tightness of the text box. Smaller values mean the text box is closer to the text; default 1.6. Effective when m_det=true
            </summary>
        </member>
        <member name="T:PaddleOCRSharp.OCRResult">
            <summary>
            OCR recognition result
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRResult.TextBlocks">
            <summary>
            List of text blocks
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRResult.Text">
            <summary>
            Recognition result text
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRResult.JsonText">
            <summary>
            Recognition result text in Json format
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.OCRResult.ToString">
            <summary>
            Return string format
            </summary>
        </member>
        <member name="T:PaddleOCRSharp.TextBlock">
            <summary>
            Recognized text block
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.TextBlock.BoxPoints">
            <summary>
            List of coordinate vertices around the text block
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.TextBlock.Text">
            <summary>
            Text block content
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.TextBlock.Score">
             <summary>
            Text recognition confidence
             </summary>
        </member>
        <member name="P:PaddleOCRSharp.TextBlock.cls_score">
             <summary>
            Angle classification confidence
             </summary>
        </member>
        <member name="P:PaddleOCRSharp.TextBlock.cls_label">
             <summary>
            Angle classification label
             </summary>
        </member>
        <member name="M:PaddleOCRSharp.TextBlock.ToString">
            <summary>
            Return string format
            </summary>
        </member>
        <member name="T:PaddleOCRSharp.OCRPoint">
            <summary>
            Point object
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRPoint.X">
            <summary>
            X coordinate, in pixels
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRPoint.Y">
            <summary>
            Y coordinate, in pixels
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.OCRPoint.#ctor">
             <summary>
            Default constructor
             </summary>
        </member>
        <member name="M:PaddleOCRSharp.OCRPoint.#ctor(System.Int32,System.Int32)">
            <summary>
            Constructor
            </summary>
            <param name="x"></param>
            <param name="y"></param>
        </member>
        <member name="M:PaddleOCRSharp.OCRPoint.ToString">
            <summary>
            Return string format
            </summary>
        </member>
        <member name="T:PaddleOCRSharp.OCRStructureResult">
            <summary>
            OCR structured recognition result
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.OCRStructureResult.#ctor">
            <summary>
            Table recognition result
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRStructureResult.RowCount">
            <summary>
            Number of rows
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRStructureResult.ColCount">
            <summary>
            Number of columns
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRStructureResult.Cells">
            <summary>
            List of cells
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.OCRStructureResult.TextBlocks">
            <summary>
            List of text blocks
            </summary>
        </member>
        <member name="T:PaddleOCRSharp.StructureCells">
            <summary>
            Cell
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.StructureCells.#ctor">
            <summary>
            Cell constructor
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.StructureCells.Row">
            <summary>
            Row number
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.StructureCells.Col">
            <summary>
            Column number
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.StructureCells.TextBlocks">
            <summary>
            Text blocks
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.StructureCells.Text">
            <summary>
            Recognized text
            </summary>
        </member>
        <member name="T:PaddleOCRSharp.PaddleOCREngine">
            <summary>
            PaddleOCR text recognition engine object
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.#ctor">
            <summary>
            Initialize OCR engine object with default parameters
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.#ctor(PaddleOCRSharp.OCRModelConfig)">
            <summary>
            Initialize OCR engine object with default parameters
            </summary>
            <param name="config">Model configuration object, if null then default values are used</param>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.#ctor(PaddleOCRSharp.OCRModelConfig,PaddleOCRSharp.OCRParameter)">
            <summary>
            PaddleOCR recognition engine object initialization
            </summary>
            <param name="config">Model configuration object, if null then default values are used</param>
            <param name="parameter">Recognition parameters, if null then default values are used</param>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.#ctor(PaddleOCRSharp.OCRModelConfig,System.String)">
            <summary>
            PaddleOCR recognition engine object initialization
            </summary>
            <param name="config">Model configuration object, if null then default values are used</param>
            <param name="parameterjson">Recognition parameters in json string format</param>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.GetDefaultConfig(System.String)">
            <summary>
            Get default configuration
            </summary>
            <param name="rootpath">Root directory</param>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.DetectText(System.String)">
            <summary>
            Perform text recognition on image file
            </summary>
            <param name="imagefile">Image file</param>
            <returns>OCR recognition result</returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.DetectText(System.Drawing.Bitmap)">
             <summary>
            Perform text recognition on image object
             </summary>
             <param name="image">Image</param>
             <returns>OCR recognition result</returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.DetectText(System.Byte[])">
             <summary>
            Text recognition
             </summary>
             <param name="imagebyte">Image memory stream</param>
             <returns>OCR recognition result</returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.DetectTextBase64(System.String)">
             <summary>
            Text recognition
             </summary>
             <param name="imagebase64">Image base64</param>
             <returns>OCR recognition result</returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.DetectText(System.IntPtr,System.Int32,System.Int32,System.Int32)">
             <summary>
            Text recognition
             </summary>
             <param name="imgPtr">Image memory address</param>
             <param name="nWidth">Image width</param>
             <param name="nHeight">Image height</param>
             <param name="nChannel">Image channel, usually 3 or 1</param>
             <returns>OCR recognition result</returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.ConvertResult(System.IntPtr)">
            <summary>
            Result parsing
            </summary>
            <param name="ptrResult"></param>
            <returns></returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.DetectStructure(System.Drawing.Bitmap)">
             <summary>
            Structured text recognition
             </summary>
             <param name="image">Image</param>
             <returns>Table recognition result</returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.getzeroindexs(System.Int32[],System.Int32)">
            <summary>
            Calculate table splitting
            </summary>
            <param name="pixellist"></param>
            <param name="thresholdtozero"></param>
            <returns></returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.ModifyParameter(PaddleOCRSharp.ModifyParameter)">
            <summary>
            Dynamically modify parameters after initialization
            </summary>
            <param name="parameter">Modifiable parameter object</param>
            <returns>Whether successful, calling before initialization will result in failure</returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.EnableDetUseRect(System.Boolean)">
            <summary>
            Whether to enable rectangular processing of detection results. Single characters are easily detected as diamond shapes, processing them as rectangles can improve recognition accuracy. Only applicable for horizontal text.
            </summary>
            <param name="enable"></param>
        </member>
        <member name="M:PaddleOCRSharp.PaddleOCREngine.Dispose">
            <summary>
            Release object
            </summary>
        </member>
        <member name="T:PaddleOCRSharp.PaddleStructureEngine">
            <summary>
            PaddleOCR table recognition engine object
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.PaddleStructureEngine.#ctor">
            <summary>
            PaddleStructureEngine recognition engine object initialization
            </summary>
        </member>
        <member name="M:PaddleOCRSharp.PaddleStructureEngine.#ctor(PaddleOCRSharp.StructureModelConfig)">
            <summary>
            PaddleStructureEngine recognition engine object initialization
            </summary>
            <param name="config">Model configuration object, if null then default values are used</param>
        </member>
        <member name="M:PaddleOCRSharp.PaddleStructureEngine.#ctor(PaddleOCRSharp.StructureModelConfig,PaddleOCRSharp.StructureParameter)">
            <summary>
            PaddleStructureEngine recognition engine object initialization
            </summary>
            <param name="config">Model configuration object, if null then default values are used</param>
            <param name="parameter">Recognition parameters, if null then default values are used</param>
        </member>
        <member name="M:PaddleOCRSharp.PaddleStructureEngine.#ctor(PaddleOCRSharp.StructureModelConfig,System.String)">
            <summary>
            PaddleStructureEngine recognition engine object initialization
            </summary>
            <param name="config">Model configuration object, if null then default values are used</param>
            <param name="parameterjson">Recognition parameters in Json format, if null then default values are used</param>
        </member>
        <member name="M:PaddleOCRSharp.PaddleStructureEngine.GetDefaultConfig(System.String)">
            <summary>
            Get default configuration
            </summary>
            <param name="rootpath">Root directory</param>
        </member>
        <member name="M:PaddleOCRSharp.PaddleStructureEngine.StructureDetectFile(System.String)">
            <summary>
            Perform table text recognition on image file
            </summary>
            <param name="imagefile">Image file</param>
            <returns>Table recognition result</returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleStructureEngine.StructureDetect(System.Drawing.Image)">
             <summary>
            Perform table text recognition on image object
             </summary>
             <param name="image">Image</param>
             <returns>Table recognition result</returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleStructureEngine.StructureDetect(System.Byte[])">
            <summary>
            Perform table text recognition on image Byte array
            </summary>
            <param name="imagebyte">Image byte array</param>
            <returns>Table recognition result</returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleStructureEngine.StructureDetectBase64(System.String)">
            <summary>
            Perform table text recognition on image Base64
            </summary>
            <param name="imagebase64">Image Base64</param>
            <returns>Table recognition result</returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleStructureEngine.ConvertResult(System.IntPtr)">
            <summary>
            Result parsing
            </summary>
            <param name="ptrResult"></param>
            <returns></returns>
        </member>
        <member name="M:PaddleOCRSharp.PaddleStructureEngine.Dispose">
            <summary>
            Release object
            </summary>
        </member>
        <member name="T:PaddleOCRSharp.StructureParameter">
            <summary>
            OCR recognition parameters
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.StructureParameter.table_max_len">
            <summary>
            When the input image length and width are greater than 488, the image is scaled proportionally, default 488
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.StructureParameter.merge_no_span_structure">
            <summary>
            Whether to merge empty cells
            </summary>
        </member>
        <member name="P:PaddleOCRSharp.StructureParameter.table_batch_num">
            <summary>
            Batch recognition quantity
            </summary>
        </member>
    </members>
</doc>
